org.h2gis.functions.spatial.topography

## Class ST_TriangleAspect

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.topography.ST_TriangleAspect

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_TriangleAspect
    extends org.h2gis.api.DeterministicScalarFunction

This function is used to compute the aspect of a triangle. Aspect represents the main slope direction angle compared to the north direction.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_TriangleAspect()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Double` `computeAspect(com.vividsolutions.jts.geom.Geometry geometry)` Compute the aspect in degree.
`String` `getJavaStaticMethod()`
`static double` `measureFromNorth(double angle)` Transforms an angle measured in degrees counterclockwise from the x-axis (mathematicians) to an angle measured in degrees clockwise from the y-axis (geographers).

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_TriangleAspect

    public ST_TriangleAspect()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeAspect

    public static Double computeAspect(com.vividsolutions.jts.geom.Geometry geometry)
                                throws IllegalArgumentException

Compute the aspect in degree. The geometry must be a triangle.

Parameters:
  `geometry` - Polygon triangle
Returns:
  aspect in degree
Throws:
  `IllegalArgumentException` - ST_TriangleAspect accept only triangles

#### measureFromNorth

    public static double measureFromNorth(double angle)

Transforms an angle measured in degrees counterclockwise from the x-axis (mathematicians) to an angle measured in degrees clockwise from the y-axis (geographers).

Parameters:
  `angle` - Mathematician's angle
Returns:
  Geographer's angle